org.eclipse.cdt.utils.spawner

## Class SpawnerOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.cdt.utils.spawner.SpawnerOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class SpawnerOutputStream
    extends OutputStream

### Constructor Summary

Constructors
Constructor and Description
`SpawnerOutputStream(int fd)` From a Unix valid file descriptor set a Reader.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the Reader
`protected void` `finalize()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)` Implementation of read for the InputStream.

### Methods inherited from class java.io.OutputStream

`flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpawnerOutputStream

    public SpawnerOutputStream(int fd)

From a Unix valid file descriptor set a Reader.

Parameters:
  `fd` - file descriptor.

### Method Detail

#### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`
See Also:
  `OutputStream.write(byte[], int, int)`

#### write

    public void write(int b)
               throws IOException

Implementation of read for the InputStream.

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException` - on error.

#### close

    public void close()
               throws IOException

Close the Reader

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException` - on error.

#### finalize

    protected void finalize()
                     throws IOException

Overrides:
  `finalize` in class `Object`
Throws:
  `IOException`